gRPC C#
gRPC C#
Namespaces
Grpc.Core
Server Class
Server Properties
Ports Property
Services Property
ShutdownTask Property

Server Properties

The Server type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| Ports | Ports on which the server will listen once started. Register a port with this server by adding its definition to this collection.
| Services | Services that will be exported by the server once started. Register a service with this server by adding its definition to this collection.
| ShutdownTask | To allow awaiting termination of the server.

Top
See Also

#### Reference

Server Class
Grpc.Core Namespace